#include <iostream>
#include <cmath>
using namespace std;
int main(){
    double p,q,r,L,R,x,y,z,o=0;
    cin>>p>>q>>r>>L>>R;
    for (double i=L;i<=R;i++){
        x=ceil(i/r);
        y=ceil(i/q);
        z=ceil(i/p);
        if ((x+y+z)<=i)
        o=o+1;}
    cout<<o;}